import * as __WEBPACK_EXTERNAL_MODULE_react_jsx_runtime__ from "react/jsx-runtime";
import "react";
import * as __WEBPACK_EXTERNAL_MODULE__tachybase_client__ from "@tachybase/client";
import * as __WEBPACK_EXTERNAL_MODULE_antd__ from "antd";
const mySchemaSetting = new __WEBPACK_EXTERNAL_MODULE__tachybase_client__.SchemaSettings({
    name: 'MySchemaSetting',
    Component: __WEBPACK_EXTERNAL_MODULE_antd__.Button,
    componentProps: {
        type: 'primary',
        children: '自定义按钮'
    },
    items: [
        {
            name: 'demo1',
            type: 'item',
            componentProps: {
                title: 'DEMO'
            }
        }
    ]
});
const Root = ()=>{
    const { render } = (0, __WEBPACK_EXTERNAL_MODULE__tachybase_client__.useSchemaSettingsRender)('MySchemaSetting');
    return /*#__PURE__*/ (0, __WEBPACK_EXTERNAL_MODULE_react_jsx_runtime__.jsx)("div", {
        children: render()
    });
};
class MyPlugin extends __WEBPACK_EXTERNAL_MODULE__tachybase_client__.Plugin {
    async load() {
        this.app.schemaSettingsManager.add(mySchemaSetting);
    }
}
const app = new __WEBPACK_EXTERNAL_MODULE__tachybase_client__.Application({
    plugins: [
        MyPlugin
    ],
    providers: [
        Root
    ]
});
const custom_component_rslib_entry_ = app.getRootComponent();
export { custom_component_rslib_entry_ as default };
